org.apache.ignite.internal.client

## Interface GridClientClusterState

All Known Implementing Classes:
  GridClientClusterStateImpl

    public interface GridClientClusterState

Interface for managing state of grid cluster and obtaining information about it: ID and tag.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `clusterName()` Get the cluster name.
`UUID` `id()` Unique identifier of cluster STATE command was sent to.
`ClusterState` `state()`
`void` `state(ClusterState newState, boolean forceDeactivation)` Changes cluster state to `newState`.
`String` `tag()` User-defined tag of cluster STATE command was sent to.

### Method Detail

#### state

    ClusterState state()
                throws GridClientException

Returns:
  Current cluster state.
Throws:
  `GridClientException` - If the request to get the cluster state failed.

#### id

    UUID id()
     throws GridClientException

Unique identifier of cluster STATE command was sent to.

Returns:
  ID of the cluster.
Throws:
  `GridClientException`

#### tag

    String tag()
        throws GridClientException

User-defined tag of cluster STATE command was sent to.

Returns:
  Tag of the cluster.
Throws:
  `GridClientException`

#### state

    void state(ClusterState newState,
               boolean forceDeactivation)
        throws GridClientException

Changes cluster state to `newState`.

Parameters:
  `newState` - New cluster state.
  `forceDeactivation` - If `true`, cluster deactivation will be forced.
Throws:
  `GridClientException` - If the request to change the cluster state failed.
See Also:
  `ClusterState.INACTIVE`

#### clusterName

    String clusterName()
                throws GridClientException

Get the cluster name.

Returns:
  The name of the cluster.
Throws:
  `GridClientException` - If the request to get the cluster name failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021